# MirrorMaker

MirrorMaker is a Kafka process that replicates data between Kafka clusters or Kafka-compatible data stores such as Warpstream. A video walkthrough can be found below:

{% embed url="<https://youtu.be/Ao_QI0kadQE>" %}

You should tune your producer settings like we recommend [there](/warpstream/kafka/configure-kafka-client/tuning-for-performance.md).

If you notice that producing data from the MirrorMaker is taking too much time for the throughput it tries to handle and encounters consumer group timeouts, then you can try the following:

* bump the `session.timeout.ms` to 2-5min
* increase the `max.poll.interval.ms` to 10min
* set `max.poll.records` to 100-300 (default is 500)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.warpstream.com/warpstream/reference/integrations/mirrormaker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
